package cn.im.che.service;

 import cn.im.che.dao.ClgpssjDao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.base.bean.BaseService;
import cn.base.util.CommUtils;

@Service("clgpssjService")
public class ClgpssjService extends BaseService {
	
	private static Log log = LogFactory.getLog(ClgpssjService.class);
	
	@Autowired
	private ClgpssjDao clgpssjDao;
	
	/**
	 * Clgpssj ·ÖÒ³
	 */
	public Map listClgpssjByPage(Map map) throws SQLException {
		List<Map> list = clgpssjDao.query_Clgpssj(map);
		Integer totalCount = clgpssjDao.count_Clgpssj(map);
		map.clear();
		map.put("total", totalCount);
		map.put("rows", list);
		return map;
	}
	
	/**
	 * Clgpssj ·ÖÒ³
	 */
	public List<Map> query_Clgpssj(Map map) throws SQLException {
		return clgpssjDao.query_Clgpssj(map);
	}
	
}
